Expenses
Get My Hris Expense Reports
Lists all of the caller's own expense reports, newest first, unpaginated.
GEThttps://api.toku.com/hris/get-my-hris-expense-reports
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/hris/get-my-hris-expense-reports' \
--header 'Authorization: Bearer <token>'200 response
[
{
"hrisExpenseReportID": "string",
"roleInOrgID": "string",
"roleInOrgName": "string",
"roleInOrgEmail": "string",
"roleInOrgDepartment": "string",
"name": "string",
"status": "DRAFT",
"startDate": "string",
"endDate": "string",
"expensedCurrencyID": "string",
"expensedCurrencyCode": "string",
"expensedCurrencyName": "string",
"totalAmountInExpenseCurrency": "string",
"submittedAt": "string",
"approvedAt": "string",
"rejectedAt": "string",
"paidAt": "string",
"payoutStatus": "PENDING",
"decisionUndoableUntil": "string",
"rejectionReason": "string",
"reviewComment": "string",
"createdAt": "string",
"updatedAt": "string",
"expenseCount": 0,
"categoryNames": [
"string"
],
"primaryExpenseCategoryName": "string",
"hasReceiptlessExpenses": true,
"thirdPartyProvider": "EXPENSIFY",
"thirdPartyReportID": "string",
"reimbursementSyncedAt": "string",
"reimbursementSyncError": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
hrisExpenseReportIDstringrequiredroleInOrgIDstringrequiredroleInOrgNamestring | nullrequiredroleInOrgEmailstring | nullrequiredroleInOrgDepartmentstring | nullrequirednamestringrequiredstatusstringrequiredAvailable options: DRAFT, SUBMITTED, PENDING_INFO, APPROVED, REJECTED, CANCELLED, PAID, PROCESSING
startDatestringrequiredendDatestringrequiredexpensedCurrencyIDstringrequiredexpensedCurrencyCodestring | nullrequiredexpensedCurrencyNamestring | nullrequiredtotalAmountInExpenseCurrencystring | nullrequiredsubmittedAtstring | nullrequiredapprovedAtstring | nullrequiredrejectedAtstring | nullrequiredpaidAtstring | nullrequiredpayoutStatusstring | nullrequiredAvailable options: PENDING, PROCESSING, PAID, FAILED, CANCELLED, null
decisionUndoableUntilstring | nullrequiredrejectionReasonstring | nullrequiredreviewCommentstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredexpenseCountnumberrequiredcategoryNamesstring[]requiredprimaryExpenseCategoryNamestring | nullrequiredhasReceiptlessExpensesbooleanrequiredthirdPartyProviderstring | nullrequiredAvailable options: EXPENSIFY, NAVAN, RAMP, SAP_CONCUR, BILL_SPEND_EXPENSE, PLEO, BREX, null
thirdPartyReportIDstring | nullrequiredreimbursementSyncedAtstring | nullrequiredreimbursementSyncErrorstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits